#
# spec file for package ktexmaker2 (Version 1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         ktexmaker2
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      A LaTeX source editor and TeX shell
Version:      1.5
Release:      117
Source0:      ktexmaker2-1.5.tar.bz2
Patch0: ktexmaker2-1.5.dif

%description
Ktexmaker2 has many menu points for several LaTeX commands, a editor
and can start LaTeX and DVI viewer.

Authors:
--------
    Pascal Brachet <pascal.brachet@free.fr>

SuSE series: k2de

%prep
%setup -n ktexmaker2-1.5
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config  -f }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make -f Makefile.cvs
make

%install
make install

%files
%doc AUTHORS COPYING INSTALL 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/ktexmaker2
%dir /opt/kde2/share/apps/ktexmaker2/toolbar
%dir /opt/kde2/share/doc/HTML/en/ktexmaker2
%dir /opt/kde2/share/icons/hicolor/16x16/apps
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
%dir /opt/kde2/share/locale/es
%dir /opt/kde2/share/locale/es/LC_MESSAGES
%dir /opt/kde2/share/locale/fr
%dir /opt/kde2/share/locale/fr/LC_MESSAGES
%dir /opt/kde2/share/locale/it
%dir /opt/kde2/share/locale/it/LC_MESSAGES
%dir /usr/share/doc/ktexmaker2
/opt/kde2/bin/ktexmaker2
/opt/kde2/share/applnk/Applications/ktexmaker2.desktop
/opt/kde2/share/apps/ktexmaker2/toolbar/back.png
/opt/kde2/share/apps/ktexmaker2/toolbar/close.png
/opt/kde2/share/apps/ktexmaker2/toolbar/copy.png
/opt/kde2/share/apps/ktexmaker2/toolbar/cut.png
/opt/kde2/share/apps/ktexmaker2/toolbar/dvi.png
/opt/kde2/share/apps/ktexmaker2/toolbar/dvips.png
/opt/kde2/share/apps/ktexmaker2/toolbar/editorview.png
/opt/kde2/share/apps/ktexmaker2/toolbar/forward.png
/opt/kde2/share/apps/ktexmaker2/toolbar/latex.png
/opt/kde2/share/apps/ktexmaker2/toolbar/log.png
/opt/kde2/share/apps/ktexmaker2/toolbar/new.png
/opt/kde2/share/apps/ktexmaker2/toolbar/open.png
/opt/kde2/share/apps/ktexmaker2/toolbar/paste.png
/opt/kde2/share/apps/ktexmaker2/toolbar/preview.png
/opt/kde2/share/apps/ktexmaker2/toolbar/ps.png
/opt/kde2/share/apps/ktexmaker2/toolbar/save.png
/opt/kde2/share/apps/ktexmaker2/toolbar/structure.png
/opt/kde2/share/doc/HTML/en/ktexmaker2/index.html
/opt/kde2/share/icons/hicolor/16x16/apps/ktexmaker2.png
/opt/kde2/share/icons/hicolor/32x32/apps/ktexmaker2.png
/opt/kde2/share/icons/locolor/16x16/apps/ktexmaker2.png
/opt/kde2/share/icons/locolor/32x32/apps/ktexmaker2.png
/opt/kde2/share/locale/de/LC_MESSAGES/ktexmaker2.mo
/opt/kde2/share/locale/es/LC_MESSAGES/ktexmaker2.mo
/opt/kde2/share/locale/fr/LC_MESSAGES/ktexmaker2.mo
/opt/kde2/share/locale/it/LC_MESSAGES/ktexmaker2.mo
/usr/share/doc/ktexmaker2/symbols.ps

%changelog -n ktexmaker2
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Sun Jul 15 2001 - adrian@suse.de
- new version 1.5
* Thu Jul 05 2001 - ro@suse.de
- autoconf 2.50 fixes
* Thu Apr 19 2001 - adrian@suse.de
- Spec file created from ktexmaker2-1.3.tar.bz2 by autospec
